Bug 1569840 (CVE-2018-10120) - CVE-2018-10120 libreoffice: Out of bounds write in filter/ww8/ww8toolbar.cxx:SwCTBWrapper class allows for denial of service with crafted document
Summary: CVE-2018-10120 libreoffice: Out of bounds write in filter/ww8/ww8toolbar.cxx:...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10120
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1569841 1570490 1570491
Blocks: 1569842
TreeView+ depends on / blocked
 
Reported: 2018-04-20 05:16 UTC by Sam Fowler
Modified: 2019-09-29 14:37 UTC (History)
5 users (show)

Fixed In Version: libreoffice 5.4.6.1, libreoffice 6.0.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3054 None None None 2018-10-30 07:25:39 UTC

Description Sam Fowler 2018-04-20 05:16:16 UTC
LibreOffice before versions 5.4.6.1 and 6.0.2.1 has a missing bounds check in sw/source/filter/ww8/ww8toolbar.cxx:SwCTBWrapper::Read() allowing for an out of bounds write. An attacker could exploit this to cause a denial of service via crafted document.


External Reference:

https://www.libreoffice.org/about-us/security/advisories/cve-2018-10120/


Additional Reference:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=6173


Upstream Patches:

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=017fcc2fcd00af17a97bd5463d89662404f57667
https://gerrit.libreoffice.org/#/c/49486/
https://gerrit.libreoffice.org/#/c/49499/
https://gerrit.libreoffice.org/#/c/49500/

Comment 1 Sam Fowler 2018-04-20 05:16:42 UTC
Created libreoffice tracking bugs for this issue:

Affects: fedora-all [bug 1569841]

Comment 4 errata-xmlrpc 2018-10-30 07:25:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3054 https://access.redhat.com/errata/RHSA-2018:3054


Note You need to log in before you can comment on or make changes to this bug.